summaryrefslogtreecommitdiffstats
path: root/multimedia/realplayer/realplayer.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/realplayer/realplayer.SlackBuild')
-rw-r--r--multimedia/realplayer/realplayer.SlackBuild106
1 files changed, 106 insertions, 0 deletions
diff --git a/multimedia/realplayer/realplayer.SlackBuild b/multimedia/realplayer/realplayer.SlackBuild
new file mode 100644
index 0000000000..29adb08635
--- /dev/null
+++ b/multimedia/realplayer/realplayer.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for realplayer
+
+# Copyright 2010-2011 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=realplayer
+VERSION=11.0.2.2315 # Ephemeral version
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=i386
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+# Get the real version
+
+# Check to make sure we're packaging the same version that this script
+# was written to handle:
+_REALVERS=$(ar p RealPlayer11GOLD.deb control.tar.gz | tar xzO ./control | grep Version | cut -d\ -f2 | cut -d- -f1)
+if [ ! "$(printf ${_REALVERS} | tr ' ' _)" = "$(printf $VERSION)" ]; then
+ echo
+ echo "This build script was written for a different version of "
+ echo "realplayer than you have downloaded. This is probably due"
+ echo "to Real changing the upstream tarball - they don't have"
+ echo "versioned tarballs - and it's almost certainly nothing to be"
+ echo "concerned about. However, if this package doesn't build or"
+ echo "work as expected, contact the SlackBuilds.org project on our"
+ echo "users mailing list."
+ echo
+ sleep 5
+fi
+VERSION=${_REALVERS}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/RealPlayer11GOLD.deb data.tar.gz | gzip -d | tar xv
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Link the start-up script to /usr/bin
+mkdir -p $PKG/usr/bin
+ln -sf /opt/real/RealPlayer/realplay $PKG/usr/bin/realplay
+
+# Link program shortcut to /usr/share/applicaions
+mkdir -p $PKG/usr/share/applications
+ln -sf /opt/real/RealPlayer/share/realplay.desktop $PKG/usr/share/applications/realplay.desktop
+
+# Link icon to /usr/share/pixmaps
+mkdir -p $PKG/usr/share/pixmaps
+ln -sf /opt/real/RealPlayer/share/realplay.png $PKG/usr/share/pixmaps/realplay.png
+
+# Enable mozilla plugins
+mkdir -p $PKG/usr/lib/mozilla/plugins
+( cd $PKG/usr/lib/mozilla/plugins
+ ln -sf /opt/real/RealPlayer/mozilla/nphelix.xpt .
+ ln -sf /opt/real/RealPlayer/mozilla/nphelix.so .
+)
+
+# Fixup some permissions
+find $PKG/opt/real/RealPlayer/share -type f -exec chmod 0644 {} \;
+find $PKG/opt/real/RealPlayer/ -type f -name "*.so" -exec chmod 0755 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+ln -sf /opt/real/RealPlayer/README $PKG/usr/doc/$PRGNAM-$VERSION/README
+ln -sf /opt/real/RealPlayer/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}